public class Point2D {
	private double x, y;

	/**
	Contructor of point in 2-dimensional space.

	@param x x-axis value
	@param y y-axis value

	@return new object <b>Point2D</b>

	@see <b>Point3D</b> 
	*/
	public Point2D (double x, double y) {
		this.x = x;
		this.y = y;
	}

	/** 
	Gets x-axis value of <b>Point2D</b> object.
	
	@return x-axis value
	*/
	public double getx () {
		return this.x;
	}

	/** 
	Gets y-axis value of <b>Point2D</b> object.
	
	@return y-axis value
	*/
	public double gety () {
		return this.y;
	}

	/**
	Sets x-axis value of <b>Point2D</b> object.
	
	@param x-axis new value
	*/
	public void setx ( double x ) {
	 	 this.x = x;
	}

	/**
	Sets y-axis value of <b>Point2D</b> object.
	
	@param y-axis new value
	*/
	public void sety ( double y ) {
	 	 this.y = y;
	}

	/**
	Returns the angle of <b>Point2D</b> defined as atan(y/x).
	NOTE: atan has a period of PI

	@return value described above
	@see <b>angle2()</b>
	*/
	public double angle() {
		return Math.atan(y/x);
	}

	/** 
	Returns the distance of <b>Point2D</b> from the origin defined as (0, 0)
	
	@return value described above.
	*/
	public double distance() {
		return Math.sqrt(x*x+y*y);
	}

}
