public class Point3D {
	private double x, y, z;

	/**
	Contructor of point in 3-dimensional space.

	@param x x-axis value
	@param y y-axis value
	@param z z-axis value

	@return new object <b>Point3D</b>

	@see <b>Point2D</b> 
	*/
	public Point3D (double x, double y, double z) {
		this.x = x;
		this.y = y;
		this.z = z;
	}

	/** 
	Gets x-axis value of <b>Point3D</b> object.
	
	@return x-axis value
	*/
	public double getx () {
		return this.x;
	}

	/** 
	Gets y-axis value of <b>Point3D</b> object.
	
	@return y-axis value
	*/
	public double gety () {
		return this.y;
	}

	/** 
	Gets z-axis value of <b>Point3D</b> object.
	
	@return z-axis value
	*/
	public double getz () {
		return this.z;
	}

	/**
	Sets x-axis value of <b>Point3D</b> object.
	
	@param x-axis new value
	*/
	public void setx ( double x ) {
	 	 this.x = x;
	}

	/**
	Sets y-axis value of <b>Point3D</b> object.
	
	@param y-axis new value
	*/
	public void sety ( double y ) {
	 	 this.y = y;
	}

	/**
	Sets z-axis value of <b>Point3D</b> object.
	
	@param z-axis new value
	*/
	public void setz ( double z ) {
	 	 this.z = z;
	}

	/**
	Returns the angle of <b>Point3D</b> defined as atan(y/x).
	NOTE: atan has a period of PI

	@return value described above
	*/
	public double angleXY() {
		return Math.atan(y/x);
	}

	/**
	Returns the angle of <b>Point3D</b> defined as atan(x/z).
	NOTE: atan has a period of PI

	@return value described above
	*/
	public double angleXZ() {
		return Math.atan(z/x);
	}

	/**
	Returns the angle of <b>Point3D</b> defined as atan(z/y).
	NOTE: atan has a period of PI

	@return value described above
	*/
	public double angleZY() {
		return Math.atan(z/y);
	}

	/** 
	Returns the distance of <b>Point3D</b> from the origin defined as (0, 0)
	
	@return value described above.
	*/
	public double distance() {
		return Math.sqrt(x*x+y*y+z*z);
	}

}
